ZLANHT(3f)

NAME
ZLANHT - the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a complex Hermitian tridiagonal matrix A

SYNOPSIS

DOUBLE PRECISION
    FUNCTION ZLANHT( NORM, N, D, E )

CHARACTER
    NORM

INTEGER
    N

DOUBLE
    PRECISION D( * )

COMPLEX*16
    E( * )

PURPOSE
ZLANHT returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a complex Hermitian tridiagonal matrix A.

DESCRIPTION
ZLANHT returns the value
   ZLANHT = ( max(abs(A(i,j))), NORM = 'M' or 'm'
            (
            ( norm1(A), NORM = '1', 'O' or 'o'
            (
            ( normI(A), NORM = 'I' or 'i'
            (
            ( normF(A), NORM = 'F', 'f', 'E' or 'e' where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

ARGUMENTS

NORM    (input) CHARACTER*1
    Specifies the value to be returned in ZLANHT as described above.

N       (input) INTEGER
    The order of the matrix A. N >= 0. When N = 0, ZLANHT is set to zero.

D       (input) DOUBLE PRECISION array, dimension (N)
    The diagonal elements of A.

E       (input) COMPLEX*16 array, dimension (N-1)
    The (n-1) sub-diagonal or super-diagonal elements of A.